Bug 995066 - pkcon fails to install packages of group
pkcon fails to install packages of group
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: PackageKit (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Richard Hughes
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-08 09:44 EDT by smatula
Modified: 2013-12-12 10:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-12 10:50:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description smatula 2013-08-08 09:44:12 EDT
Description of problem: Using pkcon to install groups fails to install the packages of the group. List of packages is displayed that need to be installed. Enter y to proceed and error occurs as follows:
Fatal error: No packages were found in the graphics group for graphics-()meta.
Issue happens with supplying multiple or just a single group  

Version-Release number of selected component (if applicable):
PackageKit-0.8.9-6.el7

How reproducible:
Always

Steps to Reproduce:
1. Perform pkcon install @graphics @development
2. Supply answers to prompts. 
3. Process completes successfully and Packages successfully installed
4. Verify status and packages installed

Actual results: # pkcon install @graphics @development
Installing                    [=========================]         
Waiting in queue              [=========================]         
Starting                      [=========================]         
Running                       [=========================]         
Resolving dependencies        [=========================]         
Installing packages           [=========================]         
The following packages have to be installed:
 systemtap-2.2.1-1.el7.x86_64	Programmable system-wide instrumentation system
 gutenprint-plugin-5.2.9-13.el7.x86_64	GIMP plug-in for gutenprint
 libquadmath-devel-4.8.1-5.el7.x86_64	GCC __float128 support
 gcc-gfortran-4.8.1-5.el7.x86_64	Fortran support
 xsane-gimp-0.999-4.el7.x86_64	GIMP plug-in providing the SANE scanner interface
 gimp-help-2.8.0-7.el7.noarch	Help files for GIMP
 systemtap-devel-2.2.1-1.el7.x86_64	Programmable system-wide instrumentation system - development headers, tools
 gimp-2:2.8.6-2.el7.x86_64	GNU Image Manipulation Program
 inkscape-0.48.4-5.1.el7.x86_64	Vector-based drawing program using SVG
 gimp-data-extras-2.0.2-8.el7.noarch	Extra files for GIMP
 sane-frontends-1.0.14-17.el7.x86_64	Graphical frontend to SANE
 gcc-c++-4.8.1-5.el7.x86_64	C++ support for GCC
 libtool-2.4.2-17.el7.x86_64	The GNU Portable Library Tool
Proceed with changes? [N/y] y

                              [=========================]         
Installing                    [=========================]         
Waiting in queue              [=========================]         
Waiting for authentication    [=========================]         
Waiting in queue              [=========================]         
Starting                      [=========================]         
Running                       [=========================]         
Fatal error: No packages were found in the graphics group for graphics-()meta.
# echo $?
7



Expected results: Command completes successfully with status of 0 and the packages are installed.


Additional info:
Note:
Comment 2 Matthias Clasen 2013-12-11 22:23:56 EST
we're not going to get pkcon fixes for 7.0. yum is the recommended commandline client for software installation, anyway
Comment 3 RHEL Product and Program Management 2013-12-12 10:50:25 EST
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.